# Uses of Interface
org.gitana.platform.client.plan.Plan

Packages that use Plan
Package
Description
org.gitana.platform.client.plan
org.gitana.platform.client.registrar
org.gitana.platform.client.support

## Uses of Plan in org.gitana.platform.client.plan

Classes in org.gitana.platform.client.plan that implement Plan
Modifier and Type
Class
Description
`class`
`PlanImpl`

## Uses of Plan in org.gitana.platform.client.registrar

Methods in org.gitana.platform.client.registrar that return Plan
Modifier and Type
Method
Description
`Plan`
Registrar.`createPlan(String planKey)`
`Plan`
Registrar.`createPlan(String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Plan`
RegistrarImpl.`createPlan(String planKey)`
`Plan`
RegistrarImpl.`createPlan(String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Plan`
Registrar.`readPlan(String planKey)`
`Plan`
RegistrarImpl.`readPlan(String planId)`
Methods in org.gitana.platform.client.registrar that return types with arguments of type Plan
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Plan>`
Registrar.`listPlans()`
`org.gitana.platform.support.ResultMap<Plan>`
Registrar.`listPlans(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Plan>`
RegistrarImpl.`listPlans()`
`org.gitana.platform.support.ResultMap<Plan>`
RegistrarImpl.`listPlans(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Plan>`
Registrar.`queryPlans(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Plan>`
Registrar.`queryPlans(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Plan>`
RegistrarImpl.`queryPlans(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Plan>`
RegistrarImpl.`queryPlans(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.registrar with parameters of type Plan
Modifier and Type
Method
Description
`void`
Registrar.`deletePlan(Plan plan)`
`void`
RegistrarImpl.`deletePlan(Plan plan)`
`void`
Registrar.`updatePlan(Plan plan)`
`void`
RegistrarImpl.`updatePlan(Plan plan)`

## Uses of Plan in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Plan
Modifier and Type
Method
Description
`Plan`
ObjectFactory.`plan(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Plan`
ObjectFactory.`plan(Registrar registrar, Response response)`
`Plan`
ObjectFactoryImpl.`plan(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Plan`
ObjectFactoryImpl.`plan(Registrar registrar, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Plan
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Plan>`
ObjectFactory.`plans(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Plan>`
ObjectFactoryImpl.`plans(Registrar registrar, Response response)`